Bug 920554 - env: wish: No such file or directory. Missing dependency on tk?
Summary: env: wish: No such file or directory. Missing dependency on tk?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: x11vnc
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-12 11:04 UTC by Radek Bíba
Modified: 2014-01-07 14:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-07 14:33:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Radek Bíba 2013-03-12 11:04:33 UTC
Description of problem:
The x11vnc GUI can't be started from the menu unless tk, which contains /usr/bin/wish, is installed. The x11vnc package doesn't require tk, though.

/usr/share/applications/x11vnc.desktop contains:

Exec=x11vnc -gui tray=setpass -rfbport PROMPT -bg -o %%HOME/.x11vnc.log.%%VNCDISPLAY

which prints the error message in the summary of this bug report when executed on the command line.

Everything works fine if tk is installed (manually).

Version-Release number of selected component (if applicable):
x11vnc-0.9.13-4.fc18.x86_64

Comment 1 Pavel Alexeev 2013-04-14 12:11:01 UTC
Thank you for your bugreport and willing make free software better!

Comment 2 Fedora Update System 2013-04-14 13:01:29 UTC
x11vnc-0.9.13-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/x11vnc-0.9.13-8.fc19

Comment 3 Fedora Update System 2013-04-14 13:10:03 UTC
x11vnc-0.9.13-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/x11vnc-0.9.13-8.fc18

Comment 4 Fedora Update System 2013-04-14 13:20:23 UTC
x11vnc-0.9.13-8.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/x11vnc-0.9.13-8.el5

Comment 5 Fedora Update System 2013-04-14 13:57:59 UTC
x11vnc-0.9.13-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/x11vnc-0.9.13-8.el6

Comment 6 Fedora Update System 2013-04-21 05:03:02 UTC
x11vnc-0.9.13-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-04-27 23:56:33 UTC
x11vnc-0.9.13-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-04-30 17:22:53 UTC
x11vnc-0.9.13-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-04-30 17:24:33 UTC
x11vnc-0.9.13-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Radek Bíba 2013-05-02 08:42:46 UTC
Thanks, Pavel.

Comment 11 Fedora End Of Life 2013-12-21 15:45:18 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.